Bug 1354383 (CVE-2016-6187) - CVE-2016-6187 kernel: apparmor: Potential privilege escalation via oops in apparmor_setprocattr()
Summary: CVE-2016-6187 kernel: apparmor: Potential privilege escalation via oops in ap...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-6187
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1354385
Blocks: 1354388
TreeView+ depends on / blocked
 
Reported: 2016-07-11 08:27 UTC by Andrej Nemec
Modified: 2019-09-29 13:52 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability leading to a local privilege escalation was found in apparmor in the Linux kernel. When proc_pid_attr_write() was changed to use memdup_user apparmor's (interface violating) assumption that the setprocattr buffer was always a single page was violated.
Clone Of:
Environment:
Last Closed: 2016-07-20 04:31:25 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-07-11 08:27:48 UTC
A vulnerability leading to a local privilege escalation was found in apparmor in the Linux kernel. When proc_pid_attr_write() was changed to use memdup_user apparmor's (interface violating) assumption that the setprocattr buffer was always a single page was violated.

Upstream pull request:

http://marc.info/?l=linux-kernel&m=146793642811929&w=2

Upstream fix:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=30a46a4647fd1df9cf52e43bf467f0d9265096ca

References:

http://seclists.org/oss-sec/2016/q3/30

Comment 1 Andrej Nemec 2016-07-11 08:29:13 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1354385]

Comment 2 Wade Mealing 2016-07-20 04:31:25 UTC
Statement:

Red Hat Enterprise Linux is not affected by this flaw as CONFIG_SECURITY_APPARMOR is not enabled in any current shipping kernels.


Note You need to log in before you can comment on or make changes to this bug.